if (analysis_stratum1 == T){
  stratum_1$year <- res_table[i,1]
  stratum_1$month <- month_st
  stratum_1$hour <- 12
  stratum_1$pred <- (predict(mod, newdata = data.frame(stratum_1),se.fit = TRUE)[[1]])^2
  res_table[i,2] <- mean(stratum_1$pred) # *area_s1

  sq <- (stratum_1[!is.na(stratum_1$pred),"pred"] - res_table[i,2])^2
  sw1 <- mean(data[data$stratum==1 & !is.na(data$swept_area),"swept_area"])
  sqA <- sq*sw1
  sum_sqA <- sum(sqA)/(length(stratum_1[,1])-1)
  s_a <- sw1*length(stratum_1[,1])
  f1 <- s_a/area_s1
  se_table[i,2] <- (((peso_s1)^2 * sum_sqA)/ s_a)* (1-f1)
  
  # se_strata1 <- sd(stratum_1$pred) 
  # se_table[i,2] <- se_strata1 *area_s1
  # if(nrow(stratum_1)>0){
  #   sem_table[i, "n"] <- nrow(stratum_1) + sem_table[i, "n"]
  # }
  } else {
    area_s1 = 0
  }

if (analysis_stratum2 == T){
  stratum_2$year <- res_table[i,1]
  stratum_2$month <- month_st
  stratum_2$hour <- 12
  stratum_2$pred <- (predict(mod, newdata = data.frame(stratum_2),se.fit = TRUE)[[1]])^2
  res_table[i,3] <- mean(stratum_2$pred) # *area_s2

  sq <- (stratum_2[!is.na(stratum_2$pred),"pred"] - res_table[i,3])^2
  sw2 <- mean(data[data$stratum==2 & !is.na(data$swept_area),"swept_area"])
  sqA <- sq*sw2
  sum_sqA <- sum(sqA)/(length(stratum_2[,1])-1)
  s_a <- sw2*length(stratum_2[,1])
  f2 <- s_a/area_s2
  se_table[i,3] <- (((peso_s2)^2 * sum_sqA)/ s_a)* (1-f2)
  
  # se_strata2 <- sd(stratum_2$pred) 
  # se_table[i,3] <- se_strata2 *area_s2
  # if(nrow(stratum_2)>0){
  #   sem_table[i, "n"] <- nrow(stratum_2) + sem_table[i, "n"]
  # }
  } else {
    area_s2 = 0
  }

if (analysis_stratum3 == T){
  stratum_3$year <- res_table[i,1]
  stratum_3$month <- month_st
  stratum_3$hour <- 12
  stratum_3$pred <- (predict(mod, newdata = data.frame(stratum_3),se.fit = TRUE)[[1]])^2
  res_table[i,4] <- mean(stratum_3$pred) # *area_s3

  sq <- (stratum_3[!is.na(stratum_3$pred),"pred"] - res_table[i,4])^2
  sw3 <- mean(data[data$stratum==3 & !is.na(data$swept_area),"swept_area"])
  sqA <- sq*sw3
  sum_sqA <- sum(sqA)/(length(stratum_3[,1])-1)
  s_a <- sw3*length(stratum_3[,1])
  f3 <- s_a/area_s3
  se_table[i,4] <- (((peso_s3)^2 * sum_sqA)/ s_a)* (1-f3)
  
  # se_strata3 <- sd(stratum_3$pred) 
  # se_table[i,4] <- se_strata3 *area_s3
  # if(nrow(stratum_3)>0){
  #   sem_table[i, "n"] <- nrow(stratum_3) + sem_table[i, "n"]
  # }
  } else {
    area_s3 = 0
  }

if (analysis_stratum4 == T){
  stratum_4$year <- res_table[i,1]
  stratum_4$month <- month_st
  stratum_4$hour <- 12
  stratum_4$pred <- (predict(mod, newdata = data.frame(stratum_4),se.fit = TRUE)[[1]])^2
  res_table[i,5] <- mean(stratum_4$pred) # *area_s4
  
  sq <- (stratum_4[!is.na(stratum_4$pred),"pred"] - res_table[i,5])^2
  sw4 <- mean(data[data$stratum==4 & !is.na(data$swept_area),"swept_area"])
  sqA <- sq*sw4
  sum_sqA <- sum(sqA)/(length(stratum_4[,1])-1)
  s_a <- sw4*length(stratum_4[,1])
  f4 <- s_a/area_s4
  se_table[i,5] <- (((peso_s4)^2 * sum_sqA)/ s_a)* (1-f4)
  
  # se_strata4 <- sd(stratum_4$pred) 
  # se_table[i,5] <- se_strata4 *area_s4
  # if(nrow(stratum_4)>0){
  #   sem_table[i, "n"] <- nrow(stratum_4) + sem_table[i, "n"]
  # }
  } else {
    area_s4 = 0
  }

if (analysis_stratum5 == T){
  stratum_5$year <- res_table[i,1]
  stratum_5$month <- month_st
  stratum_5$hour <- 12
  stratum_5$pred <- (predict(mod, newdata = data.frame(stratum_5),se.fit = TRUE)[[1]])^2
  res_table[i,6] <- mean(stratum_5$pred) # *area_s5
  
  sq <- (stratum_5[!is.na(stratum_5$pred),"pred"] - res_table[i,6])^2
  sw5 <- mean(data[data$stratum==5 & !is.na(data$swept_area),"swept_area"])
  sqA <- sq*sw5
  sum_sqA <- sum(sqA)/(length(stratum_5[,1])-1)
  s_a <- sw5*length(stratum_5[,1])
  f5 <- s_a/area_s5
  se_table[i,6] <- (((peso_s5)^2 * sum_sqA)/ s_a)* (1-f5)
  
  # se_strata5 <- sd(stratum_5$pred) 
  # se_table[i,6] <- se_strata5 *area_s5
  # if(nrow(stratum_5)>0){
  #   sem_table[i, "n"] <- nrow(stratum_5) + sem_table[i, "n"]
  # }
  } else {
    area_s5 = 0
  }

if (analysis_stratum6 == T){
  stratum_6$year <- res_table[i,1]
  stratum_6$month <- month_st
  stratum_6$hour <- 12
  stratum_6$pred <- (predict(mod, newdata = data.frame(stratum_6),se.fit = TRUE)[[1]])^2
  res_table[i,7] <- mean(stratum_6$pred) # *area_s6

  sq <- (stratum_6[!is.na(stratum_6$pred),"pred"] - res_table[i,7])^2
  sw6 <- mean(data[data$stratum==6 & !is.na(data$swept_area),"swept_area"])
  sqA <- sq*sw6
  sum_sqA <- sum(sqA)/(length(stratum_6[,1])-1)
  s_a <- sw6*length(stratum_6[,1])
  f6 <- s_a/area_s6
  se_table[i,7] <- (((peso_s6)^2 * sum_sqA)/ s_a)* (1-f6)
  
  # se_strata6 <- sd(stratum_6$pred) 
  # se_table[i,7] <- se_strata6 *area_s6
  # if(nrow(stratum_6)>0){
  #   sem_table[i, "n"] <- nrow(stratum_6) + sem_table[i, "n"]
  # }
  } else {
    area_s6 = 0
  }
