data <- data_bkp_start
sspp <- paste(unique(data[data$GENUS != -1, "GENUS" ]), unique(data[data$SPECIES != -1, "SPECIES" ]), sep="")

  transformation <- dlgInput("Choose the TRANSFORMATION for the dependent variable: \n(1) identity; (2) sqrt; (3) log; (4) inverse; (5) quadratic", default=2,Sys.info()[""])$res

  if (transformation == "1" | transformation == "identity"){
    data$response <- data[,"response"]
    tranf_type <- "identity"
  }
  if (transformation == "2" | transformation == "sqrt"){
    data$response <- sqrt(data[,"response"])
    tranf_type <- "sqrt"

  }
  if (transformation == "3" | transformation == "log"){
    data$response <- log(data[,"response"]+1)
    tranf_type <- "log"

  }
  if (transformation == "4" | transformation == "inverse"){
    data$response <- 1/(data[,"response"]+1)
    tranf_type <- "inverse"

  }
  if (transformation == "5" | transformation == "quadratic"){
    data$response <- (data[,"response"])^2
    tranf_type <- "quadratic"

  }

  cat(paste("'",tranf_type,"'"," transformation applied to the response variable. \n", sep=""))
  